MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025856Community[OCCT] OCCT:Modeling Algorithmspublic2015-02-24 15:452017-12-05 17:01
ReporterMarkus 
Assigned Tomsv 
PrioritynormalSeverityfeature 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025856: BRepOffsetAPI_ThruSections returns an invalid shape if one wire contains degenerated edges
DescriptionWhen a wire contains degenerated edges and a normal edge and it is used as input to ThruSections algorithm, the results are:

If only one additional "normal" wire is used, the result is invalid, namely it is considered “Not connected” by checkshape.

If two additional "normal" wires are used, the result is invalid, but there is a different problem: InvalidSameParameter flag.

Both problems can be fixed by fixshape.

Steps To Reproducerestore threeWires.brep t
explode t
thrusections -N r 0 0 t_1 t_2
checkshape r
fixshape rr r
checkshape rr

restore threeWires.brep t
explode t
thrusections -N r 0 0 t_1 t_2 t_3
checkshape r
fixshape rr r
checkshape rr
TagsNo tags attached.
Test case numberbugs modalg_7 bug25856_1, bug25856_2
Attached Files? file icon threeWires.brep (10,925 bytes) 2015-02-24 15:45

- Relationships
related to 0022021assignedjgv Exception during a loft building between two closed contours 
related to 0027568closedbugmaster Exception is thrown when a degenerated edge is added to a wire 

-  Notes
(0037833)
msv (developer)
2015-02-24 17:58
edited on: 2015-02-24 17:59

The input argument t_1 is invalid shape, as it contains degenerated edges with no pcurve. A degenerated edge is used to designate a particular point on a surface. In this case there is no surface on input, so there is no justification to create degenerated edge in the input.
Now ThruSection cannot correctly treat the situation when it is needed to create a patch face between a vertex of one section and an edge of another section. It is a point to improve the algorithm.

(0069219)
mkv (tester)
2017-08-08 17:40

Problem described in issue is reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2015-02-24 15:45 Timo New Issue
2015-02-24 15:45 Timo Assigned To => msv
2015-02-24 15:45 Timo File Added: threeWires.brep
2015-02-24 17:58 msv Note Added: 0037833
2015-02-24 17:59 msv Note Edited: 0037833 View Revisions
2015-04-09 12:56 msv Severity minor => feature
2015-04-09 12:56 msv Target Version 6.9.0 => 7.1.0
2016-06-13 14:25 Timo Relationship added related to 0027568
2016-07-06 19:27 msv Relationship added related to 0022021
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-05-31 15:39 Timo Reporter Timo => Markus
2017-07-21 11:16 msv Target Version 7.2.0 => 7.3.0
2017-08-08 17:40 mkv Test case number => bugs modalg_7 bug25856
2017-08-08 17:40 mkv Note Added: 0069219
2017-08-08 17:52 mkv Test case number bugs modalg_7 bug25856 => bugs modalg_7 bug25856_1, bug25856_2
2017-12-05 17:01 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker